TEMPLATE = app
TARGET = qdl
QT += network sql xml

HEADERS += $$files(src/shared/*.h) \
    $$files(src/interfaces/*.h)

SOURCES += $$files(src/shared/*.cpp)

maemo5 {
        QT += maemo5 dbus

        HEADERS += $$files(src/maemo5/*.h) \
            $$files(src/dbus/*.h) \
            $$files(src/captchadialog/*.h)

        SOURCES += $$files(src/maemo5/*.cpp) \
            $$files(src/dbus/*.cpp) \
            $$files(src/captchadialog/*.cpp)

        desktopfile.path = /usr/share/applications/hildon
        desktopfile.files = desktop/maemo5/qdl.desktop

        icon.path = /usr/share/icons/hicolor/64x64/apps
        icon.files = desktop/maemo5/64x64/qdl.png

        backupicon.path = /opt/qdl/icons
        backupicon.files = desktop/maemo5/64x64/qdl.png

        dbusservice.path = /usr/share/dbus-1/services
        dbusservice.files = dbus/com.marxoft.QDL.service

        dbusinterface.path = /usr/share/dbus-1/interfaces
        dbusinterface.files = dbus/com.marxoft.QDL.xml

        INSTALLS += desktopfile icon backupicon dbusservice dbusinterface

        target.path = /opt/qdl/bin

} else:contains(MEEGO_EDITION,harmattan) {
        QT+= opengl declarative
        CONFIG += qdeclarative-boostable

        HEADERS += $$files(src/harmattan/*.h)
        SOURCES += $$files(src/harmattan/*.cpp)

        OTHER_FILES += $$files(qml/harmattan/*.qml)

        desktopfile.files = desktop/qdlharmattan.desktop
        desktopfile.path = /usr/share/applications

        icon.files = desktop/harmattan/80x80/qdl.png
        icon.path = /usr/share/icons/hicolor/80x80/apps

        backupicon.path = /opt/qdl/icons
        backupicon.files = desktop/harmattan/80x80/qdl.png

        splash.files += $$files(splash/*.png)
        splash.path = /opt/qdl/splash

        INSTALLS += desktopfile icon splash

        target.path = /opt/qdl/bin

} else:unix {
        QT += dbus

        HEADERS += $$files(src/desktop/*.h) \
            $$files(src/dbus/*.h) \
            $$files(src/captchadialog/*.h)

        SOURCES += $$files(src/desktop/*.cpp) \
            $$files(src/dbus/*.cpp) \
            $$files(src/captchadialog/*.cpp)

        desktopfile.path = /usr/share/applications
        desktopfile.files = desktop/desktop/qdl.desktop

        icon64.path = /usr/share/icons/hicolor/64x64/apps
        icon64.files = desktop/desktop/64x64/qdl.png

        icon48.path = /usr/share/icons/hicolor/48x48/apps
        icon48.files = desktop/desktop/48x48/qdl.png

        icon22.path = /usr/share/icons/hicolor/22x22/apps
        icon22.files = desktop/desktop/22x22/qdl.png

        icon16.path = /usr/share/icons/hicolor/16x16/apps
        icon16.files = desktop/desktop/16x16/qdl.png

        backupicon.path = /opt/qdl/icons
        backupicon.files = desktop/desktop/64x64/qdl.png

        dbusservice.path = /usr/share/dbus-1/services
        dbusservice.files = dbus/com.marxoft.QDL.service

        dbusinterface.path = /usr/share/dbus-1/interfaces
        dbusinterface.files = dbus/com.marxoft.QDL.xml

        INSTALLS += desktopfile icon backupicon dbusservice dbusinterface

        target.path = /opt/qdl/bin
}

INSTALLS += target
